/* ---------------------------------- */
/* Base styles */
html {
	user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	word-spacing: 1px;
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	box-sizing: border-box;
}

html, body {
	background-color: rgb(249, 249, 250);
	color: black;
	height: 100%;
	overflow: hidden;
}

#__nuxt, #__layout {
	height: 100%;
	min-height: 100%;
}

*,
*:before,
*:after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-size: 16px;
	font-size: 1em;
	font-family: 'Open Sans';
	font-weight: 400;
	font-style: normal;
}

::selection {
	background: #FFC107;
}

.page-enter-active, .page-leave-active {
	transition: opacity 200ms;
}
.page-enter, .page-leave-to {
	opacity: 0;
}

/* Element overrides */

h1 {
	font-family: 'Roboto';
	font-size: 2.5em;
	font-weight: 400;
}

h2 {
	font-family: 'Roboto';
	font-size: 2.25em;
	font-weight: 300;
}

h3 {
	font-family: 'Roboto';
	font-size: 2em;
	font-weight: 300;
}

h4 {
	font-family: 'Roboto';
	font-size: 1.75em;
	font-weight: 300;
}

h5 {
	font-family: 'Roboto';
	font-size: 1.5em;
	font-weight: 300;
}

h6 {
	font-family: 'Roboto';
	font-size: 1.4em;
	font-weight: 300;
}

a {
	color: #0060df;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:active {
	color: #003eaa;
	text-decoration: underline;
}

button {
	background-color: transparent;
}

/* ---------------------------------- */
/* Icons */

@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	src: url('~@/assets/style/icons/MaterialIcons-Regular.woff2') format('woff2');
}
@import './open_sans.scss';
@import './roboto.scss';
